<div>
    <br/>
    <h3>Livraison des cartes de assurés</h3>
    <br/>
        <dx-data-grid id="gridContainer"
             [dataSource]="dataSource" 
             [showBorders]="true"
             [rowAlternationEnabled]="true"
             [allowColumnReordering]="true"
             [allowColumnResizing]="true"
             [columnMinWidth]="50"
             [hoverStateEnabled]="true"
             columnResizingMode="widget">
   
         <dxi-column dataField="idassuree" caption="ID" [width]="50"></dxi-column>
        <dxi-column dataField="nom" caption="Nom"></dxi-column>
        <dxi-column dataField="prenom" caption="Prénom"></dxi-column>
        <dxi-column dataField="naissance" caption= "date de naissance"></dxi-column>
        <dxi-column dataField="cni" caption="Pièce d'identité"></dxi-column>
        <dxi-column dataField="etat" caption="Etat civil"></dxi-column>
        <dxi-column dataField="tel" caption="Télephone"></dxi-column>
        <dxi-column dataField="Actions" [width]="108" [allowFiltering]="false" [allowHeaderFiltering]="false"
        [allowSorting]="false" cellTemplate="cemplate" alignment="right" ></dxi-column>


        <div *dxTemplate="let data of 'cemplate'">
            <i class="fa fa-check"  title="Afficher la demande"  data-toggle="tooltip"  (click)="openModalValidationAssuree(data.data)"></i>
              </div>

        <dxo-remote-operations 
             [filtering]="true"
             [sorting]="true"
             [paging]="true"
             [summary]="true"
             [groupPaging]="true">
        </dxo-remote-operations>
        </dx-data-grid>
    </div>
